﻿using ASPNETCORE1.ViewModels;
using ASPNETCORE1.Services;
using Microsoft.AspNet.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ASPNETCORE1.Controllers
{
    public class HomeController : Controller
    {
        private IGreeter _greeter;
        private IRestauranData _restaurantData;

        public HomeController(IRestauranData restaurantData,IGreeter Greeter)
        {
            _restaurantData = restaurantData;
            _greeter = Greeter;
        }
        public ViewResult index()
        {
            var Model = new HomePageViewModel();
            Model.Restaurants = _restaurantData.GetAll();
            Model.CurrentGreeting = _greeter.GetGreeter();

            return View(Model);
        }
    }
}
